{ pkgs, ... }:
{
  imports = [
    ../../users/richie/global/ssh.nix
    ./arch_mirror.nix
    ./docker
    ./home_assistant.nix
    ./networking.nix
    ./services.nix
  ];

  boot = {
    zfs.extraPools = [ "Main" ];
    filesystem = "zfs";
    useSystemdBoot = true;
  };

  environment.systemPackages = with pkgs; [ docker-compose ];

  services = {
    openssh = {
      ports = [ 352 ];
      listenAddresses = [
        { addr = "192.168.95.35"; }
        { addr = "192.168.90.35"; }
      ];
    };

    smartd.enable = true;

    sysstat.enable = true;

    usbguard = {
      enable = true;
      rules = ''
        allow id 1532:0241
      '';
    };

    zfs = {
      trim.enable = true;
      autoScrub.enable = true;
    };
  };

  system.stateVersion = "23.05";
}
